<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMediaResourceGroupReq StructType
 * @subpackage Structs
 */
class AddMediaResourceGroupReq extends APIRequest
{
    /**
     * The mediaResourceGroup
     * @var XMediaResourceGroup
     */
    public $mediaResourceGroup;
    /**
     * Constructor method for AddMediaResourceGroupReq
     * @uses AddMediaResourceGroupReq::setMediaResourceGroup()
     * @param XMediaResourceGroup $mediaResourceGroup
     */
    public function __construct(XMediaResourceGroup $mediaResourceGroup = null)
    {
        $this
            ->setMediaResourceGroup($mediaResourceGroup);
    }
    /**
     * Get mediaResourceGroup value
     * @return XMediaResourceGroup|null
     */
    public function getMediaResourceGroup()
    {
        return $this->mediaResourceGroup;
    }
    /**
     * Set mediaResourceGroup value
     * @param XMediaResourceGroup $mediaResourceGroup
     * @return AddMediaResourceGroupReq
     */
    public function setMediaResourceGroup(XMediaResourceGroup $mediaResourceGroup = null)
    {
        $this->mediaResourceGroup = $mediaResourceGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMediaResourceGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
